OPTIONS (DIRECT=TRUE,
ERRORS = %ERRORSNUM%,
DEGREE_OF_PARALLELISM=AUTO,
PARALLEL=%PARALLEL%,
SKIP_INDEX_MAINTENANCE=TRUE,
SKIP_UNUSABLE_INDEXES=TRUE,
TRIM=LRTRIM,
%SILENT%,
%SKIP%)

UNRECOVERABLE
LOAD DATA

INFILE '%INPUTFILELOCATION%CI_MR%FILEPIPENAME%'
BADFILE '%OUTPUTFILELOCATION%CI_MR%TIMESTAMP%.bad'
DISCARDFILE '%OUTPUTFILELOCATION%CI_MR%TIMESTAMP%.dsc'
%COMMAND%
PRESERVE BLANKS


INTO TABLE CI_MR
FIELDS TERMINATED BY "," OPTIONALLY ENCLOSED BY '"' TRAILING NULLCOLS
(MR_ID CHAR(12),
MTR_CONFIG_ID CHAR(10),
READ_DTTM DATE 'YYYY-MM-DD HH24:MI:SS',
USE_ON_BILL_SW CHAR(1),
MR_SOURCE_CD CHAR(12),
MTR_READER_ID CHAR(20),
ILM_ARCH_SW CHAR(1),
ILM_DT DATE 'YYYY-MM-DD',
VERSION INTEGER EXTERNAL,
MR_DATA_AREA LOBFILE(CONSTANT '%INPUTFILELOCATION%CI_MR_CLOB%FILEPIPENAME%') TERMINATED BY "<endclob>\n")
